DetectionsCreate operation
POST
/
detections/createRequest Body
application/jsonRequiredagentConfigIdOrNamestring
autoInvestigateboolean
autoTriageboolean
categoriesarray<string>
descriptionstring
disabledboolean
displayNamestring
fieldsarray<string>
groupAlertsboolean
mitreAttacksarray<string>
mitreTechniquesarray<string>
namestring
notesstring
notificationNamesarray<string>
notificationTemplatestring
parametersobject
querystring
riskScoreinteger
schedulestring
settingsarray<integer>
severitystring
sourceTypesarray<string>
typestring
Success
Success
DetectionUpdateEnabledFlag operation
POST
/
detections/enabled/updateSuccess
DetectionsFacets returns the disjunctive filter-menu aggregates (severity/type/createdFrom/status/category/notification counts) for the workspace detections list, given the current filter context.
DetectionsFacets returns the disjunctive filter-menu aggregates (severity/type/createdFrom/status/category/notification counts) for the workspace detections list, given the current filter context.
GET
/
detections/facetsQuery Parameters
categoryarray<string>
categoryModestring
createdAfterobject
createdBeforeobject
createdByarray<string>
createdFromstring
enabledboolean
includeManagedboolean
notificationarray<string>
notificationModestring
searchstring
severityarray<string>
severityModestring
sortstring
typearray<string>
typeModestring
Success
Success
DetectionsList operation
GET
/
detections/listQuery Parameters
categoryarray<string>
categoryModestring
createdAfterobject
createdBeforeobject
createdByarray<string>
createdFromstring
enabledboolean
includeManagedboolean
notificationarray<string>
notificationModestring
searchstring
severityarray<string>
severityModestring
sortstring
typearray<string>
typeModestring
Success
DetectionsListMeta operation
GET
/
detections/list-metaSuccess
DetectionRenderPreview renders a preview of a detection's notification title and body using data from a detection run.
DetectionRenderPreview renders a preview of a detection's notification title and body using data from a detection run.
POST
/
detections/render-previewRequest Body
application/jsonRequireddetectionIDstring
notificationNamestring
resultIDstring
scheduleRunIDstring
templateBodystring
templateTitlestring
useSampleDataboolean
Success
SigmaCreate operation
POST
/
detections/sigma/createSuccess
SigmaUpdate operation
PUT
/
detections/sigma/updateSuccess
DetectionUpdateSilenced operation
POST
/
detections/silenceSuccess
DetectionSyncPlan operation
POST
/
detections/sync/v2Success
DetectionUpdate operation
PUT
/
detections/updateRequest Body
application/jsonRequiredagentConfigIdOrNamestring
autoInvestigateboolean
autoTriageboolean
categoriesarray<string>
descriptionstring
disabledboolean
displayNamestring
fieldsarray<string>
groupAlertsboolean
idstring
mitreAttacksarray<string>
mitreTechniquesarray<string>
namestring
notesstring
notificationNamesarray<string>
notificationTemplatestring
parametersobject
querystring
riskScoreinteger
schedulestring
settingsarray<integer>
severitystring
sourceTypesarray<string>
typestring
Success